package entrustPool

import (
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
	"github.com/gin-gonic/gin"
)

type PoolAddrTicketDailyRouter struct {
}

// InitPoolAddrTicketDailyRouter 初始化 PoolAddrTicketDaily 路由信息
func (s *PoolAddrTicketDailyRouter) InitPoolAddrTicketDailyRouter(Router *gin.RouterGroup) {
	poolAddrTicketDailyRouter := Router.Group("poolAddrTicketDaily").Use(middleware.OperationRecord())
	poolAddrTicketDailyRouterWithoutRecord := Router.Group("poolAddrTicketDaily")
	var poolAddrTicketDailyApi = v1.ApiGroupApp.EntrustPoolApiGroup.PoolAddrTicketDailyApi
	{
		poolAddrTicketDailyRouter.POST("createPoolAddrTicketDaily", poolAddrTicketDailyApi.CreatePoolAddrTicketDaily)   // 新建PoolAddrTicketDaily
		poolAddrTicketDailyRouter.DELETE("deletePoolAddrTicketDaily", poolAddrTicketDailyApi.DeletePoolAddrTicketDaily) // 删除PoolAddrTicketDaily
		poolAddrTicketDailyRouter.DELETE("deletePoolAddrTicketDailyByIds", poolAddrTicketDailyApi.DeletePoolAddrTicketDailyByIds) // 批量删除PoolAddrTicketDaily
		poolAddrTicketDailyRouter.PUT("updatePoolAddrTicketDaily", poolAddrTicketDailyApi.UpdatePoolAddrTicketDaily)    // 更新PoolAddrTicketDaily
	}
	{
		poolAddrTicketDailyRouterWithoutRecord.GET("findPoolAddrTicketDaily", poolAddrTicketDailyApi.FindPoolAddrTicketDaily)        // 根据ID获取PoolAddrTicketDaily
		poolAddrTicketDailyRouterWithoutRecord.GET("getPoolAddrTicketDailyList", poolAddrTicketDailyApi.GetPoolAddrTicketDailyList)  // 获取PoolAddrTicketDaily列表
	}
}
